From owner-ports-jp@jp.freebsd.org  Sun Nov  9 13:06:26 1997
Received: by jaz.jp.freebsd.org (8.8.8+2.7Wbeta7/8.7.3) id NAA06992
	Sun, 9 Nov 1997 13:06:26 +0900 (JST)
Received: by jaz.jp.freebsd.org (8.8.7+2.7Wbeta7/8.7.3) with ESMTP id NAA06987
	for <ports-jp@jp.FreeBSD.org>; Sun, 9 Nov 1997 13:06:23 +0900 (JST)
Received: from kiri.toba-cmt.ac.jp (localhost [127.0.0.1])
	by kiri.toba-cmt.ac.jp (8.8.7/8.8.7) with ESMTP id NAA24627
	for <ports-jp@jp.FreeBSD.org>; Sun, 9 Nov 1997 13:03:11 +0900 (JST)
Message-Id: <199711090403.NAA24627@kiri.toba-cmt.ac.jp>
To: ports-jp@jp.FreeBSD.org
From: KIRIYAMA Kazuhiko <kiri@kiri.toba-cmt.ac.jp>
In-Reply-To: Your message of "Mon, 03 Nov 1997 21:45:38 +0900"
References: <199711031245.VAA00381@kiri.toba-cmt.ac.jp>
X-Mailer: Mew version 1.70 on Emacs 19.28.1 / Mule 2.3
Mime-Version: 1.0
Content-Type: Text/Plain; charset=iso-2022-jp
Content-Transfer-Encoding: 7bit
Date: Sun, 09 Nov 1997 13:03:11 +0900
Reply-To: ports-jp@jp.freebsd.org
Precedence: bulk
X-Distribute: distribute [version 2.1 (Alpha) patchlevel=20]
X-Sequence: ports-jp 1944
Subject: [ports-jp 1944] Re: japaneseAFM,vftool,dvi2ps ported/updated.
Errors-To: owner-ports-jp@jp.freebsd.org
Sender: owner-ports-jp@jp.freebsd.org

$B6M;3(B $B$G$9!#(B

ja-vftool-1.2 $BHG(B ja-dvi2ps-2.0 $B$r0l1~:n$j$^$7$?$N$G59$7$/$*4j$$$7$^$9!#(B

$B%a!<%k$K$O(B diff $B$@$1IU$1$^$9!#K\BN$O(B 
ftp://ports.jp.freebsd.org/pub/incoming/ports-jp/japanese/ja-dvi2ps-2.0-971109.tar.gz
$B$KFM9~$s$I$-$^$7$?!#(B


diff -aurN ../../current/japanese/dvi2ps/Makefile ./Makefile
--- ../../current/japanese/dvi2ps/Makefile	Sun Oct 19 00:30:18 1997
+++ ./Makefile	Sun Nov  9 12:25:14 1997
@@ -1,4 +1,4 @@
-# New ports collection makefile for: jp-dvi2ps
+# New ports collection makefile for: ja-dvi2ps
 # Version required:	2.0
 # Date created:		15 Sep 1996
 # Whom:			Mita Yoshio <mita@jp.FreeBSD.org>
@@ -15,11 +15,47 @@
 
 BUILD_DEPENDS=	nkf:${PORTSDIR}/japanese/nkf
 LIB_DEPENDS=	VFlib\\.2\\.:${PORTSDIR}/japanese/vflib
+RUN_DEPENDS=	${PREFIX}/share/fonts/vf-a2bk:${PORTSDIR}/japanese/vftool \
+		${PREFIX}/lib/fonts/pk${RESOLUTION}/cmr10.${RESOLUTION}pk:${PORTSDIR}/print/pkfonts
 
 MAN1=		dvi2ps.1 ../ja_JP.EUC/man1/dvi2ps.1
 
+# You can specify default setting with your favorite
+# choice. Possible specifications are
+# (1) PAPERTYPE : paper type. Letter, Legal, Tabloid, B4, B5, A5, A4,
+#    A3 can be specified.
+# (2) RESOLUTION : resolution of the printer (dpi). pkfonts resolution
+#    can be specified with dpi unit.
+# (3) TOPMARGIN : top margin (unit 1/72 inch).
+# (4) LEFTMARGIN : left margin (unit 1/72 inch).
+
+PAPERTYPE?=	A4
+RESOLUTION?=	300
+TOPMARGIN?=	72
+LEFTMARGIN?=	72
+
+TMPL_FILES=	fontdesc patch-Makefile
+
+pre-patch:
+	${MKDIR} ${PATCHDIR}
+.if defined(BATCH)
+	${SETENV} AWK=${AWK} CAT=${CAT} ECHO=${ECHO} RM=${RM} SED=${SED} \
+		PREFIX=${PREFIX} FILESDIR=${FILESDIR} \
+		PAPERTYPE=${PAPERTYPE} RESOLUTION=${RESOLUTION} \
+		TOPMARGIN=${TOPMARGIN} LEFTMARGIN=${LEFTMARGIN} \
+		${SH} ${FILESDIR}/setup.sh BATCH "${TMPL_FILES}"
+.else
+	${SETENV} AWK=${AWK} CAT=${CAT} ECHO=${ECHO} RM=${RM} SED=${SED} \
+		PREFIX=${PREFIX} FILESDIR=${FILESDIR} \
+		PAPERTYPE=${PAPERTYPE} RESOLUTION=${RESOLUTION} \
+		TOPMARGIN=${TOPMARGIN} LEFTMARGIN=${LEFTMARGIN} \
+		${SH} ${FILESDIR}/setup.sh "${TMPL_FILES}"
+.endif
+	${CP} ${FILESDIR}/patch-Makefile ${PATCHDIR}/patch-aa
+
 post-patch:
 	@(cd ${WRKSRC}; make newlib)
+	${CP} ${FILESDIR}/fontdesc ${WRKSRC}/lib
 
 post-build:
 	@(cd ${WRKSRC}/tools; \
@@ -42,4 +78,11 @@
 	)
 	@${SH} ${PKGDIR}/REQ ${PKGNAME} INSTALL
 
+pre-clean:
+	@(cd ${FILESDIR}; \
+	${RM} -f ${TMPL_FILES}; \
+	)
+	@${RM} -f ${PATCHDIR}/patch-aa
+
+.include "${.CURDIR}/Makefile.inc"
 .include <bsd.port.mk>
diff -aurN ../../current/japanese/dvi2ps/Makefile.inc ./Makefile.inc
--- ../../current/japanese/dvi2ps/Makefile.inc	Thu Jan  1 09:00:00 1970
+++ ./Makefile.inc	Fri Nov  7 21:05:29 1997
@@ -0,0 +1,35 @@
+.if defined(BATCH)
+RESOLUTION?=	300
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts600-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	600
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts400-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	400
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts360-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	360
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts300-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	300
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts240-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	240
+.else
+TEMPORARY!=	/bin/sh files/search-pkg.sh pkfonts118-1.0
+.if !(${TEMPORARY} == "")
+RESOLUTION=	118
+.else
+RESOLUTION=	300
+.endif
+.endif
+.endif
+.endif
+.endif
+.endif
+.endif
diff -aurN ../../current/japanese/dvi2ps/files/fontdesc.tmpl ./files/fontdesc.tmpl
--- ../../current/japanese/dvi2ps/files/fontdesc.tmpl	Thu Jan  1 09:00:00 1970
+++ ./files/fontdesc.tmpl	Thu Nov  6 22:08:06 1997
@@ -0,0 +1,38 @@
+#
+# dvi2ps fontdesc file for FreeBSD jtex209 and platex ports collection.
+#  Print out Japanese by printer font and English by pk font.
+#				Nov. 9 1996 MITA Yoshio <mita@jp.FreeBSD.org>
+
+# change resolution according to your site.
+define	RESOLUTION	%%RESOLUTION%%
+resolution		$RESOLUTION
+
+define	f		%%PREFIX%%/lib/fonts
+define	vf		%%PREFIX%%/share/fonts
+define	nsf		%%PREFIX%%/share/tex/jfonts/
+
+include		dvi2.ps
+
+# English font with pk fonts
+font	pk	* 3	$f/pk$RESOLUTION/%f.%mpk
+
+#  jstfm NTT JTeX with DNP font tfm
+font    jstfm   * 0     $nsf/mincho/%f.tfm
+font    jstfm   * 0     $nsf/gothic/%f.tfm
+builtin dm%j    SINR    Ryumin-Light-H
+builtin dg%j    SINR    GothicBBB-Medium-H
+
+
+# kanji font (built-in kanji for ASCII Nihongo TeX)
+# First, convert ASCII dvi -> built-in kanji dvi by virtual font
+font    jvf		* 0     $vf/vf-a2bk/%f.vf
+# then, use built-in kanji
+font    jfm		* 0     $vf/vf-a2bk/%f.tfm
+builtin rml		JSNR    Ryumin-Light-H
+builtin gbm		JSNR    GothicBBB-Medium-H
+builtin rmlv		JSNR    Ryumin-Light-V
+builtin gbmv		JSNR    GothicBBB-Medium-V
+builtin ryumin-l        JSNR    Ryumin-Light-H
+builtin gtbbb-m         JSNR    GothicBBB-Medium-H
+builtin ryumin-l-v      JSNR    Ryumin-Light-V
+builtin gtbbb-m-v       JSNR    GothicBBB-Medium-V
diff -aurN ../../current/japanese/dvi2ps/files/patch-Makefile.tmpl ./files/patch-Makefile.tmpl
--- ../../current/japanese/dvi2ps/files/patch-Makefile.tmpl	Thu Jan  1 09:00:00 1970
+++ ./files/patch-Makefile.tmpl	Fri Nov  7 21:33:55 1997
@@ -0,0 +1,102 @@
+*** Makefile.orig	Mon Jun 23 19:20:16 1997
+--- Makefile	Fri Nov  7 21:31:22 1997
+***************
+*** 2,8 ****
+  # your site:
+  #
+  # BINAREA and DVI2LIB are relative to PREFIX
+! PREFIX=/usr/local
+  # where dvi2ps is installed
+  BINAREA=${PREFIX}/bin
+  #
+--- 2,8 ----
+  # your site:
+  #
+  # BINAREA and DVI2LIB are relative to PREFIX
+! PREFIX?=/usr/local
+  # where dvi2ps is installed
+  BINAREA=${PREFIX}/bin
+  #
+***************
+*** 16,22 ****
+  #
+  # default paper type.
+  # (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
+! PAPERTYPE=A4
+  #
+  # default print area.
+  # If your printer does not have enough memory, change this variable to FALSE.
+--- 16,22 ----
+  #
+  # default paper type.
+  # (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
+! PAPERTYPE=%%PAPERTYPE%%
+  #
+  # default print area.
+  # If your printer does not have enough memory, change this variable to FALSE.
+***************
+*** 29,39 ****
+  PAGEREVERSE=FALSE
+  #
+  # resolution of the printer (dpi)
+! RESOLUTION=300
+  #
+  # top margin and left margin (unit 1/72 inch)
+! TOPMARGIN=72
+! LEFTMARGIN=72
+  #
+  # optional font formats
+  FONTF = -DVFLIB
+--- 29,39 ----
+  PAGEREVERSE=FALSE
+  #
+  # resolution of the printer (dpi)
+! RESOLUTION=%%RESOLUTION%%
+  #
+  # top margin and left margin (unit 1/72 inch)
+! TOPMARGIN=%%TOPMARGIN%%
+! LEFTMARGIN=%%LEFTMARGIN%%
+  #
+  # optional font formats
+  FONTF = -DVFLIB
+***************
+*** 42,60 ****
+  # 1) libVFlib.a and VF.h are installed in the standard directory
+  #VFLIB = -lVFlib
+  # 2) libVFlib.a and VF.h are installed in the non-standard directory
+! #VFLIB = -L${PREFIX}/lib -lVFlib
+! #VFLIBINC = -I${PREFIX}/include
+  # 3) use VFlib.a and VF.h in the source directory of VFlib
+! VFLIBSRCDIR = ../VFlib-2.22/src
+! VFLIB = ${VFLIBSRCDIR}/VFlib.a
+! VFLIBINC = -I${VFLIBSRCDIR}
+  
+  #
+  CC=cc
+  #
+! CCFLAGS = -g
+  #CCFLAGS = -O		# SUNOS 4.X etc ...
+! #CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
+  #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
+  #CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
+  #CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
+--- 42,60 ----
+  # 1) libVFlib.a and VF.h are installed in the standard directory
+  #VFLIB = -lVFlib
+  # 2) libVFlib.a and VF.h are installed in the non-standard directory
+! VFLIB = -L${PREFIX}/lib -lVFlib
+! VFLIBINC = -I${PREFIX}/include
+  # 3) use VFlib.a and VF.h in the source directory of VFlib
+! #VFLIBSRCDIR = ../VFlib-2.22/src
+! #VFLIB = ${VFLIBSRCDIR}/VFlib.a
+! #VFLIBINC = -I${VFLIBSRCDIR}
+  
+  #
+  CC=cc
+  #
+! #CCFLAGS = -g
+  #CCFLAGS = -O		# SUNOS 4.X etc ...
+! CCFLAGS = -O -DPOSIX -m486	# NetBSD FreeBSD (gcc 2.X), Linux
+  #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
+  #CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
+  #CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
diff -aurN ../../current/japanese/dvi2ps/files/search-pkg.sh ./files/search-pkg.sh
--- ../../current/japanese/dvi2ps/files/search-pkg.sh	Thu Jan  1 09:00:00 1970
+++ ./files/search-pkg.sh	Sat Nov  1 20:04:10 1997
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+AWK=${AWK:-/usr/bin/awk}
+ECHO=${ECHO:-/bin/echo}
+PKG_INFO=${PKG_INFO:-/usr/sbin/pkg_info}
+
+pkg_name=`${PKG_INFO} -I $1 2> /dev/null | ${AWK} -v pkg=$1 '$1==pkg{print pkg}'`
+
+if [ "${pkg_name}" ]; then
+	${ECHO} ${pkg_name}
+	exit 0
+else
+	exit 0
+fi
diff -aurN ../../current/japanese/dvi2ps/files/setup.sh ./files/setup.sh
--- ../../current/japanese/dvi2ps/files/setup.sh	Thu Jan  1 09:00:00 1970
+++ ./files/setup.sh	Sun Nov  9 12:48:04 1997
@@ -0,0 +1,207 @@
+#!/bin/sh
+
+AWK=${AWK:-/usr/bin/awk}
+CAT=${CAT:-/bin/cat}
+DIALOG=${DIALOG:-/usr/bin/dialog}
+ECHO=${ECHO:-/bin/echo}
+PKG_INFO=${PKG_INFO:-/usr/sbin/pkg_info}
+RM=${RM:-/bin/rm}
+SED=${SED:-/usr/bin/sed}
+
+pkg_search()
+{	
+	pkg_name=`${PKG_INFO} -I $1 2> /dev/null | ${AWK} -v pkg=$1 '$1==pkg{print pkg}'`
+
+	if [ "${pkg_name}" ]; then
+		${ECHO} ${pkg_name}
+	fi
+	return
+}
+
+pkfonts()
+{
+	local pkfonts chk118 chk240 chk300 chk360 chk400 chk600
+
+	pkfonts="pkfonts118-1.0 pkfonts240-1.0 pkfonts300-1.0 pkfonts360-1.0 \
+		pkfonts400-1.0 pkfonts600-1.0"
+
+	chk118=OFF
+	chk240=OFF
+	chk300=OFF
+	chk360=OFF
+	chk400=OFF
+	chk600=OFF
+
+	if [ ! -z "${RESOLUTION}" ]; then
+		eval  chk${RESOLUTION}=ON
+	else
+		for pkg in ${pkfonts}; do
+			case `pkg_search ${pkg}` in
+			pkfonts118-1.0) chk118=ON ;;
+			pkfonts240-1.0) chk240=ON ;;
+			pkfonts300-1.0) chk300=ON ;;
+			pkfonts360-1.0) chk360=ON ;;
+			pkfonts400-1.0) chk400=ON ;;
+			pkfonts600-1.0) chk600=ON ;;
+			esac                         
+		done
+	fi	
+	${DIALOG}  --title "Select pk-font resolution" \
+		--hline "" \
+		--checklist "Choose a pk-font already installed." -1 -1 6 \
+		118	"118 dpi pk fonts" ${chk118} \
+		240	"240 dpi pk fonts" ${chk240} \
+		300	"300 dpi pk fonts" ${chk300} \
+		360	"360 dpi pk fonts" ${chk360} \
+		400	"400 dpi pk fonts" ${chk400} \
+		600	"600 dpi pk fonts" ${chk600} \
+		2> /tmp/checklist.$$                      
+	
+	RESOLUTION=`${CAT} /tmp/checklist.$$ | ${SED} -e 's/"//g' | ${AWK} '{print $1}'`
+	
+	${RM} -f /tmp/checklist.$$
+}
+
+papertype()
+{
+	local  chkLetter chkLegal chkTabloid chkB4 chkB5 chkA5 chkA4 chkA3
+
+	chkLetter=OFF 
+	chkTabloid=OFF
+	chkB4=OFF     
+	chkB5=OFF     
+	chkA5=OFF     
+	chkA4=OFF     
+	chkA3=OFF     
+
+	case `${ECHO} ${PAPERTYPE}` in
+		Letter)		chkLetter=ON ;; 
+		Tabloid)	chkTabloid=ON ;;
+		B4)		chkB4=ON ;;     
+		B5)		chkB5=ON ;;     
+		A5)		chkA5=ON ;;     
+		A4)		chkA4=ON ;;     
+		A3)		chkA3=ON ;;     
+	esac                                         
+
+	${DIALOG}  --title "Select Paper Type" \
+		--hline "" \
+		--checklist "Choose a default paper type." -1 -1 7 \
+		Letter	"Letter size" ${chkLetter} \
+		Tabloid	"Tabloid size" ${chkTabloid} \
+		B4	"B4 size" ${chkB4} \
+		B5	"B5 size" ${chkB5} \
+		A5	"A5 size" ${chkA5} \
+		A4	"A4 size" ${chkA4} \
+		A3	"A3 size" ${chkA3} \
+		2> /tmp/checklist.$$                      
+	
+	PAPERTYPE=`${CAT} /tmp/checklist.$$ | ${SED} -e 's/"//g' | ${AWK} '{print $1}'`
+	
+	${RM} -f /tmp/checklist.$$
+}
+
+input_TopMargin()
+{
+	if [ ! -z "${TOPMARGIN}" ]; then
+		${DIALOG} --title "Confirm Top Margin" \
+		--hline "Press Yes/No" \
+		--yesno "Top margin (unit 1/72 inch) has set \"${TOPMARGIN}\". Is this OK?" -1 -1
+		retval=$?
+		if [ X"${retval}" = "X0" ]; then  return; fi
+	fi
+	${DIALOG} --title "Set top margin (unit 1/72 inch)" \
+	--hline "Write top margin in 1/72 inch unit" \
+	--inputbox "Specify top margin in 1/72 inch unit" -1 -1 \
+		2>  /tmp/input.tmp.$$
+	TOPMARGIN=`${CAT} /tmp/input.tmp.$$`
+	${RM} -f /tmp/input.tmp.$$
+}
+
+input_LeftMargin()
+{
+	if [ ! -z "${LEFTMARGIN}" ]; then
+		${DIALOG} --title "Confirm Left Margin" \
+		--hline "Press Yes/No" \
+		--yesno "Top margin (unit 1/72 inch) has set \"${LEFTMARGIN}\". Is this OK?" -1 -1
+		retval=$?
+		if [ X"${retval}" = "X0" ]; then  return; fi
+	fi
+	${DIALOG} --title "Set Left margin (unit 1/72 inch)" \
+	--hline "Write Left margin in 1/72 inch unit" \
+	--inputbox "Specify Left margin in 1/72 inch unit" -1 -1 \
+		2>  /tmp/input.tmp.$$
+	LEFTMARGIN=`${CAT} /tmp/input.tmp.$$`
+	${RM} -f /tmp/input.tmp.$$
+}
+
+MainMenu="\
+This is the main menu of the dvi2ps default settings. Please select \n\
+one of the options below by using the arrow keys or typing the first \n\
+character of the option name you intend to set. Invoke an option by \n\
+pressing [ENTER] or [TAB-ENTER] to exit the settings."
+
+if [ ! X"$1" = "XBATCH" ]; then
+	answer=None
+	while [ ! X"${answer}" = "XQuit" ]; do
+		${DIALOG} --title "Set default dvi2ps output" \
+		--hline "Select Set up Items" \
+		--menu "${MainMenu}" -1 -1 5 \
+		PaperType	"Default paper type" \
+		Resolution	"pk-fonts(English) resolution" \
+		TopMargin	"Default top margin" \
+		LeftMargin	"Default left margin" \
+		Quit		"Quit this menu" \
+			2>	/tmp/menu.tmp.$$
+		retval=$?
+		answer=`${CAT} /tmp/menu.tmp.$$`
+		${RM} -f /tmp/menu.tmp.$$
+		case $retval in
+			0)	if [ -z ${answer} ]; then
+					${ECHO} "Nothing selected"
+					exit 1
+				fi
+				;;
+			1)	${ECHO} "Cancel pressed."
+				exit 1
+				;;
+			255) ${ECHO} "ESC pressed."
+				exit 1
+				;;
+		esac
+		case ${answer} in
+			PaperType)
+				papertype
+				;;
+			Resolution)
+				pkfonts
+				;;
+			TopMargin)
+				input_TopMargin
+				;;
+			LeftMargin)
+				input_LeftMargin
+				;;
+			Quit)
+				answer=Quit
+				;;
+		esac
+	done
+	for f in $1; do
+		${SED}  -e "s@%%PREFIX%%@${PREFIX}@g" \
+			-e "s@%%PAPERTYPE%%@${PAPERTYPE}@g" \
+			-e "s@%%RESOLUTION%%@${RESOLUTION}@g" \
+			-e "s@%%TOPMARGIN%%@${TOPMARGIN}@g" \
+			-e "s@%%LEFTMARGIN%%@${LEFTMARGIN}@g" \
+			<  ${FILESDIR}/${f}.tmpl > ${FILESDIR}/${f}
+	done
+else
+	for f in $2; do
+		${SED}  -e "s@%%PREFIX%%@${PREFIX}@g" \
+			-e "s@%%PAPERTYPE%%@${PAPERTYPE}@g" \
+			-e "s@%%RESOLUTION%%@${RESOLUTION}@g" \
+			-e "s@%%TOPMARGIN%%@${TOPMARGIN}@g" \
+			-e "s@%%LEFTMARGIN%%@${LEFTMARGIN}@g" \
+			<  ${FILESDIR}/${f}.tmpl > ${FILESDIR}/${f}
+	done
+fi
diff -aurN ../../current/japanese/dvi2ps/patches/patch-aa ./patches/patch-aa
--- ../../current/japanese/dvi2ps/patches/patch-aa	Mon Dec 30 17:23:09 1996
+++ ./patches/patch-aa	Thu Jan  1 09:00:00 1970
@@ -1,60 +0,0 @@
-*** Makefile.orig	Thu Dec 26 19:37:51 1996
---- Makefile	Thu Dec 26 19:39:54 1996
-***************
-*** 2,8 ****
-  # your site:
-  #
-  # BINAREA and DVI2LIB are relative to PREFIX
-! PREFIX=/usr/local
-  # where dvi2ps is installed
-  BINAREA=${PREFIX}/bin
-  #
---- 2,8 ----
-  # your site:
-  #
-  # BINAREA and DVI2LIB are relative to PREFIX
-! PREFIX?=/usr/local
-  # where dvi2ps is installed
-  BINAREA=${PREFIX}/bin
-  #
-***************
-*** 42,60 ****
-  # 1) libVFlib.a and VF.h are installed in the standard directory
-  #VFLIB = -lVFlib
-  # 2) libVFlib.a and VF.h are installed in the non-standard directory
-! #VFLIB = -L${PREFIX}/lib -lVFlib
-! #VFLIBINC = -I${PREFIX}/include
-  # 3) use VFlib.a and VF.h in the source directory of VFlib
-! VFLIBSRCDIR = ../VFlib-2.22/src
-! VFLIB = ${VFLIBSRCDIR}/VFlib.a
-! VFLIBINC = -I${VFLIBSRCDIR}
-  
-  #
-  CC=cc
-  #
-! CCFLAGS = -g
-  #CCFLAGS = -O		# SUNOS 4.X etc ...
-! #CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
-  #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
-  #CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
-  #CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
---- 42,60 ----
-  # 1) libVFlib.a and VF.h are installed in the standard directory
-  #VFLIB = -lVFlib
-  # 2) libVFlib.a and VF.h are installed in the non-standard directory
-! VFLIB = -L${PREFIX}/lib -lVFlib
-! VFLIBINC = -I${PREFIX}/include
-  # 3) use VFlib.a and VF.h in the source directory of VFlib
-! #VFLIBSRCDIR = ../VFlib-2.22/src
-! #VFLIB = ${VFLIBSRCDIR}/VFlib.a
-! #VFLIBINC = -I${VFLIBSRCDIR}
-  
-  #
-  CC=cc
-  #
-! #CCFLAGS = -g
-  #CCFLAGS = -O		# SUNOS 4.X etc ...
-! CCFLAGS = -O -DPOSIX -m486	# NetBSD FreeBSD (gcc 2.X), Linux
-  #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
-  #CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
-  #CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
diff -aurN ../../current/japanese/dvi2ps/patches/patch-ab ./patches/patch-ab
--- ../../current/japanese/dvi2ps/patches/patch-ab	Wed Oct 15 00:23:46 1997
+++ ./patches/patch-ab	Thu Jan  1 09:00:00 1970
@@ -1,39 +0,0 @@
-*** /dev/null	Mon Oct 13 13:41:43 1997
---- lib/fontdesc	Mon Oct 13 13:43:32 1997
-***************
-*** 0 ****
---- 1,34 ----
-+ #
-+ # dvi2ps fontdesc file for FreeBSD jtex209 and platex ports collection.
-+ #  Print out Japanese by printer font and English by pk font.
-+ #				Nov. 9 1996 MITA Yoshio <mita@jp.FreeBSD.org>
-+ 
-+ # change resolution according to your site.
-+ define	RESOLUTION	300
-+ resolution		$RESOLUTION
-+ 
-+ define	f		/usr/local/lib/fonts
-+ define	af		/usr/local/share/tex/jfonts/jfms
-+ define	pf		/usr/local/lib/texmf/fonts/public/ptex
-+ define	pfnew		/usr/local/share/texmf/fonts/tfm/ptex
-+ define	nsf		/usr/local/share/tex/jfonts
-+ 
-+ include		dvi2.ps
-+ 
-+ # English font with pk fonts
-+ font	pk	* 3	$f/pk$RESOLUTION/%f.%mpk
-+ 
-+ #  jstfm NTT JTeX with DNP font tfm
-+ font    jstfm   * 0     $nsf/mincho/%f.tfm
-+ font    jstfm   * 0     $nsf/gothic/%f.tfm
-+ builtin dm%j    SINR    Ryumin-Light-H
-+ builtin dg%j    SINR    GothicBBB-Medium-H
-+ 
-+ 
-+ # built-in kanji for ASCII Nihongo TeX
-+ include         fonts/ascfix-c.ps
-+ font	jfm	* 0	$af/%f.tfm
-+ font    jfm     * 0     $pf/tfm/%f.tfm
-+ font    jfm     * 0     $pfnew/%f.tfm
-+ builtin	min	JINA	"/Ryumin-Light-H Ryumin-Metrics Set-New-Metrics"
-+ builtin	goth	JINA	"/GothicBBB-Medium-H Gothic-Metrics Set-New-Metrics"

------------------------------------------------------------------------
$B6M;3OBI'(B <kiri@kiri.toba-cmt.ac.jp>                 $BD;1)>&A%9bEy@lLg3X9;(B
                                                          $BEE;R5!3#9)3X2J(B
